%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")

Summary:	pytsk - Python binding for The Sleuth Kit

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		pytsk
Version:	20150406
Release:	2%{?dist}

License:	GPL

Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tar.gz
URL:		http://code.google.com/p/pytsk/

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	%{__python} 
BuildRequires:	sleuthkit-devel >= 4.0.0
BuildRequires:	libtalloc-devel
BuildRequires:	%(basename %{__python})-devel
Requires:	sleuthkit %{__python}
Requires:	fuse-python

%description
PYTSK - Python Bindings for The Sleuth Kit

%prep
%setup

%build
%if 0%{?fedora} == 22
env CC="gcc -std=gnu89" %{__python} setup.py build
%else
%{__python} setup.py build
%endif


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"
cd examples
%__install -d %{buildroot}%{python_sitelib}/%{name}
for file in *.py
do
	%__install -m 644 $file %{buildroot}%{python_sitelib}/%{name}
done
%__install -d %{buildroot}%{_bindir}
for pgm in ewf tskfuse imgfuse
do
	cp -p $pgm.py %{buildroot}%{_bindir}/$pgm.py
	ln    %{buildroot}%{_bindir}/$pgm.py %{buildroot}%{_bindir}/$pgm
done

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(644, root, root)	%{_docdir}/%{name}/*
%attr(755, root, root)	%{python_sitelib}/%{name}*.so
%attr(444, root, root)	%{python_sitelib}/%{name}*egg-info
%attr(755, root, root)	%{python_sitelib}/%{name}/*.py*
%attr(755, root, root)	%{_bindir}/*

%changelog
* Mon Jun 29 2015 Lawrence R. Rogers <lrr@cert.org> 20150406-2
* Release 20150406-2
	Redefined the C compiler to deal with default visibility that caused Object_init to be invisible.

* Mon Apr  6 2015 Lawrence R. Rogers <lrr@cert.org> 20150406-1
* Release 20150406-1
	Version cloned on 2015-04-06

* Sat Dec 20 2014 Lawrence R. Rogers <lrr@cert.org> 20141220-1
* Release 20141220-1
	Changes in support of Python 3.

* Sun Dec  7 2014 Lawrence R. Rogers <lrr@cert.org> 20141207-1
* Release 20141207-1
	Version cloned on 2014-12-07

* Tue May 06 2014 Lawrence R. Rogers <lrr@cert.org> 20140506-1
* Release 20140506-1
	Fix for issues on Windows.
	Get email change notifications about comments on this revision.
	Code clean up
	Get email change notifications about comments on this revision.
	Disabled talloc report.
	Get email change notifications about comments on this revision.
	Removed creation of additional external img info and bug fixes.
	Get email change notifications about comments on this revision.
	More changes for C types.
	Get email change notifications about comments on this revision.
	Improved handling of C types.
	Get email change notifications about comments on this revision.
	Changes to make dist script.
	Get email change notifications about comments on this revision.
	Small change in dpkg build files.
	Get email change notifications about comments on this revision.
	Fix for bdist_msi build target.

* Mon Feb 17 2014 Lawrence R. Rogers <lrr@cert.org> 20140217-1
* Release 20140217-1
	Changes to make dist script.
	Small change in dpkg build files.
	Fix for bdist_msi build target.
	Added pytsk3 version.
	Fixed another Visual Studio compiler warning.
	Fixed some Visual Studio compiler warnings.
	More fixes for building generated code with Visual Studio.
	Fix for building generated code with Visual Studio.
	Fix for keeping an unnecessary reference on a subclassed object.
	Code clean up.
	Fixed various issues regarding memory management and object referencing.
	More changes regarding object management and referencing.
	More changes for TSK_IMG_TYPE_EXTERNAL support.
	Added support for TSK_IMG_TYPE_EXTERNAL.
	Fixed wrapped internal object being seen as proxied object in free.
	Reverted last changes, the issue seems to be more subtle.
	Removed double IncRef after last change.
	Fixed missing IncRef in iternext.
	Textual changes.
	Small change in dpkg files.

* Mon Dec 30 2013 Lawrence R. Rogers <lrr@cert.org> 20131230-1
* Release 20131230-1
	Textual changes.
	Get email change notifications about comments on this revision.	4c6956ccf802		
	Small change in dpkg files.
	Bug fixes for keeping references of python object arguments.
	Bug fix in Img_Info_Con for missing tsk_init_lock.
	Bug fix in test runner.
	Changes in dpgk files.
	Fixed multiple issues: * incorrect proxied base referencing (Issue 10) * free of proxied base * changed call to class members to object members
	Fix for Issue 14.
	Get email change notifications about comments on this revision.
	Initial work on automated tests. Code clean up.
	Small changes in setup.py
	Small changes to run_tests.py to prefer pytsk3.so in build.
	Small changes to run tests script.
	Small changes to setup.py and MANIFEST.in
	Small correction in comment.
	Small fix for run_tests.py
	Small fix in last change.
	Updates to make_dist.sh script.
	Worked on tests.

* Sun Nov 24 2013 Lawrence R. Rogers <lrr@cert.org> 20131124-1
* Release 20131124-1
	Fixes for FreeBSD build.
	Changes to setup.py to find library path for OSX build.
	Small updates to setup.py
	Added check for HAVE_SSIZE_T
	Changes for sleuthkit 64-bit vs2010 build.
	More fixes
	Small fix when TSK_LIBRARIES_PATH cannot be determined.
	Fix in setup.py for Mac OS X.
	Small update to dpkg files.
	Removed files

Oct 17, 2013	
Joachim Metz <joachim.metz>
Get email change notifications about comments on this revision.	073f4c1480a4		
Updates for building SleuthKit 4.1.2 and pytsk on Windows. Improvements to setup.py to work on Windows icw. Visual Studio and to detect SleuthKit version.
* Tue Sep 10 2013 Lawrence R. Rogers <lrr@cert.org> 20130910-1
* Release 20130910-1
	Worked on replacing older patched version of talloc with minimal altered version.
	Updated msvscpp files to use stand-alone libtalloc.
	Fixes for talloc move.
	Updated licence to APL.
	Changes to .hgignore
	Chnanges to Manifest
	Changes to msvscpp files
	Moved talloc to sub directory.
	Changes to have setup.py look for libtalloc.so
	Small change to setup.py

* Sun Aug 25 2013 Lawrence R. Rogers <lrr@cert.org> 20130826-1
* Release 20130826-1
	Update dpgk files to sleuthkit version 4.1.0
	Applied error.patch to fix issue 11
	Changed id restriction from INT16_MAX to UINT16_MAX
	Bug fix in recent changes
	More fixes for compiler warnings
	Changes to fix compiler warnings
	Fix in Visual Studio 2008 project file
	Fixes for building pytsk3 against sleuthkit 4.1-staging
	Trap error conditionn in Img_Info_read so if a read fails we raise IOError.
	Removed replace.h (not used) Added function definitions to replace.c and talloc.c to fix compile/link issue on OS X 10.6

* Mon Jun 24 2013 Lawrence R. Rogers <lrr@cert.org> 20121113-2
* Release 20121113-2
	* Rebuild for sleuthkit 4.1.0

* Mon Nov 26 2012 Lawrence R. Rogers <lrr@cert.org> 20121113-2
* Release 20121113-2
	* Rebuild for sleuthkit 4.0.1

* Tue Nov 13 2012 Lawrence R. Rogers <lrr@cert.org> 20121113-1
* Release 20121113-1
	* 20121113 update

* Tue Nov 6 2012 Lawrence R. Rogers <lrr@cert.org> 20121106-1
* Release 20121106-1
	* 20121106 update

* Tue Jun 26 2012 Lawrence R. Rogers <lrr@cert.org> 20120626-1
* Release 20120626-1
	* 20120626 update

* Wed Nov 2 2011 Lawrence R. Rogers <lrr@cert.org> 20111019-1
* Release 20111019-1
	* 20111019 update

* Mon Sep 19 2011 Lawrence R. Rogers <lrr@cert.org> 20110818-1
* Release 20110818-1
	* Initial release
